Unit tde95r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE95R_p, FJDE95R_p, FXDE95R_p, DE95R_p;

function tde95r: String;

implementation

function tde95r: String;
var
M,IH,IERR :Integer;
XN,HMIN,EPS,P,XK,Y1,Y2,Y3,Y4,H :Real;
YN :Array [0..3] of Real;
Y :Array [0..3] of Real;
R :Array [0..92] of Real;
label
_10;
begin
Result := '';  {   }
M := 4;
XN := 0.0;
YN[0] := 10.0;
YN[1] := 11.0;
YN[2] := 111.0;
YN[3] := 111.0;
HMIN := 1.E-10;
EPS := 1.E-2;
P := 1.E3;
XK := 10.0;
{   BCEHE TOHOO PEEH CCTEM: }
Y1 := 10.0*Exp(-100.0*XK);
Y2 := Y1+Exp(-XK)*(Cos(XK)+Sin(XK));
Y3 := Y2+100.0*Exp(-1.E4*XK)*Cos(10.0*XK);
Y4 := Y3+100.0*Exp(-1.E4*XK)*Sin(10.0*XK);
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [Y1,Y2,Y3,Y4]) + #$0D#$0A;
IH := 0;
_10:
IH := IH + 1;
H := 0.01;
DE95R (FDE95R,FJDE95R,FXDE95R,M,XN,YN,XK,HMIN,EPS,P,H,Y,R,IERR);
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' EPS= ']);
Result := Result + Format('%20.16f ',[EPS]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [Y[0],Y[1],Y[2],Y[3]]) + #$0D#$0A;
Result := Result + Format('%s',[' H= ']);
Result := Result + Format('%20.16f ',[H]) + #$0D#$0A;
EPS := EPS*1.E-2;
if ( IH < 3 ) 
 then goto _10;
UtRes('tde95r',Result);  {     tde95r.res }
exit;
end;

end.
